[SciPy-user] Building on Windows?

Travis N. Vaught travis at enthought.com
Sat Dec 6 08:31:17 CST 2003


Gary,

I think you can use:

python setup.py build --compiler=mingw32

and it should work for the build.

> -----Original Message-----
> From: scipy-user-bounces at scipy.net
[mailto:scipy-user-bounces at scipy.net]
> On Behalf Of Gary Pajer
> Sent: Friday, December 05, 2003 8:54 PM
> To: SciPy Users List
> Subject: [SciPy-user] Building on Windows?
> 
> I've been trying to build cvs scipy on WinXP.  No other reason than to
be
> up
> to date, so I may punt this activity.
> 
> It's not compiling.  There are hints and instructions on the web site,
and
> included with cvs.  Are these instructions up to date?
> 
> I think I've settled all the dependencies (never sure).  I'm using the
> Enthought edition of python, which includes Mingc. I'm guessing that
that
> compiler should work, otherwise why would it be included?
> 
> The error is:
> error:  Python was built with version 6 of Visual Studio, and
extensions
> need to be built with the same version of the compiler, but it isn't
> installed.
> 
> If it takes recompiling python, I think I'll pass.   On the other
hand,
> maybe I'm missing something relatively simple.
> 
> I've built scipy on linux without much difficulty.  Is building scipy
on
> WinXP just a royal pain, or can it be done with reasonable effort?
> 
> -gary
> 
> _______________________________________________
> SciPy-user mailing list
> SciPy-user at scipy.net
> http://www.scipy.net/mailman/listinfo/scipy-user




More information about the SciPy-user mailing list